Bug 1335308 - [ceph-ansible] : client installation is failing during Task 'get ceph version' as its' not available
Summary: [ceph-ansible] : client installation is failing during Task 'get ceph version...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Storage Console
Classification: Red Hat
Component: ceph-ansible
Version: 2
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: 3
Assignee: Christina Meno
QA Contact: sds-qe-bugs
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1322504 1383917 1412948
TreeView+ depends on / blocked
 
Reported: 2016-05-11 21:16 UTC by Rachana Patel
Modified: 2017-06-28 19:49 UTC (History)
9 users (show)

Fixed In Version: ceph-ansible-2.1.9-1.el7scon
Doc Type: Bug Fix
Doc Text:
Documented with BZ#1384622
Clone Of:
Environment:
Last Closed: 2017-06-28 19:49:00 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Rachana Patel 2016-05-11 21:16:52 UTC
Description of problem:
======================
client installation is failing as below

TASK: [ceph-common | get ceph version] **************************************** 
<magna063> REMOTE_MODULE command ceph --version
<magna100> REMOTE_MODULE command ceph --version
failed: [magna100] => {"changed": false, "cmd": "ceph --version", "failed": true, "rc": 2}
msg: [Errno 2] No such file or directory
ok: [magna063] => {"changed": false, "cmd": ["ceph", "--version"], "delta": "0:00:00.071293", "end": "2016-05-11 19:43:10.885875", "rc": 0, "start": "2016-05-11 19:43:10.814582", "stderr": "", "stdout": "ceph version 10.2.0-1.el7cp (3a9fba20ec743699b69bd0181dd6c54dc01c64b9)", "stdout_lines": ["ceph version 10.2.0-1.el7cp (3a9fba20ec743699b69bd0181dd6c54dc01c64b9)"], "warnings": []}



Version-Release number of selected component (if applicable):
=============================================================
ceph-ansible-1.0.5-10.el7scon.noarch



How reproducible:
=================
always


Steps to Reproduce:
===================
1. create ceph cluster on rhel machine using ceph ansible.(1 mon, 3osd node each having 3 osds)
2. copy admin keyring on client node
3. make entry in inventory file
[clients]
<client-host-name>
4. update site.yml 

- hosts: clients
  become: True
  roles:
  - ceph-common
5. re run ceph-ansible command used for installation(arguments were given via command line)

Actual results:
===============
TASK: [ceph-common | get ceph version] **************************************** 
<magna063> REMOTE_MODULE command ceph --version
<magna100> REMOTE_MODULE command ceph --version
failed: [magna100] => {"changed": false, "cmd": "ceph --version", "failed": true, "rc": 2}
msg: [Errno 2] No such file or directory
ok: [magna063] => {"changed": false, "cmd": ["ceph", "--version"], "delta": "0:00:00.071293", "end": "2016-05-11 19:43:10.885875", "rc": 0, "start": "2016-05-11 19:43:10.814582", "stderr": "", "stdout": "ceph version 10.2.0-1.el7cp (3a9fba20ec743699b69bd0181dd6c54dc01c64b9)", "stdout_lines": ["ceph version 10.2.0-1.el7cp (3a9fba20ec743699b69bd0181dd6c54dc01c64b9)"], "warnings": []}




PLAY RECAP ******************************************************************** 
           to retry, use: --limit @/root/site.retry

magna063                   : ok=304  changed=0    unreachable=0    failed=0   
magna084                   : ok=84   changed=0    unreachable=0    failed=0   
magna085                   : ok=245  changed=0    unreachable=0    failed=0   
magna090                   : ok=157  changed=0    unreachable=0    failed=0   
magna100                   : ok=22   changed=0    unreachable=0    failed=1  


ceph packages were not installed on client

Comment 2 Andrew Schoen 2016-05-11 21:30:44 UTC
I don't think that client install is supported in that version of ceph-ansible. A new ceph-client role was introduced upstream in this commit:

https://github.com/ceph/ceph-ansible/commit/40df8fb8144b0da6d991802f208e78550cac1fa5

Comment 5 Alfredo Deza 2016-05-18 19:19:45 UTC
Not supported yet, pushing to 3.0

Comment 7 Christina Meno 2016-08-17 16:36:49 UTC
Looks good

Comment 8 Vasu Kulkarni 2016-11-02 17:43:23 UTC
Below text doesnt look right to me:

Client installation by using Ansible is not supported Current version of the `ceph-ansible` utility does not support installation of the Ceph command-line interface (CLI). To use the Ceph CLI, install it manually. 

Ceph client is not a Ceph CLI but a way to manage/view ceph cluster (based on the auth it has) from a *node* which doesn't run any ceph daemons.

Comment 10 Ken Dreyer (Red Hat) 2017-03-03 16:48:47 UTC
We think this is fixed in the latest RPMs (v2.1.9 as of today). Would you please re-test?

Comment 11 Ken Dreyer (Red Hat) 2017-06-28 19:49:00 UTC
Fix shipped in https://access.redhat.com/errata/RHBA-2017:1496 , please open a new bug for this if you hit it again.


Note You need to log in before you can comment on or make changes to this bug.